package models

import (
	"github.com/jinzhu/gorm"
)

// RuleChain 规则链
type RuleChain struct {
	gorm.Model
	RecordId string `gorm:"column:record_id;size:32;index"`
	AdditionalInfo  string `gorm:"column:additional_info"`    //节点属性信息
	Configuration   string `gorm:"column:configuration"`      //配置信息
	Name            string `gorm:"column:name"`               //名称
	FirstRuleNodeID int    `gorm:"column:first_rule_node_id"` //第一个节点的ID
	Root            bool   `gorm:"column:root"`               //是否为root chain
	DebugModel      bool   `gorm:"column:debug_model"`        //调试模式
	Intro           string `gorm:"column:intro"`              //描述
	VendorID        int    `gorm:"column:vendor_id"`          //厂商ID
}
