package models

import (
	"github.com/jinzhu/gorm"
)

// RuleNode 规则链中的节点
type RuleNode struct {
	gorm.Model
	RecordId string `gorm:"column:record_id;size:32;index"`
	RuleChainID    int    //关联rulechain id
	AdditionalInfo string //附加属性信息
	Configuration  string //配置信息
	Type           string //类型
	Name           string //名称
	DebugModel     bool   //调试模式
	Intro          string //描述
}
