package rpcs

import (
	"sparrow/pkg/protocol"
	"sparrow/pkg/tlv"
)

type ArgsSetStatus struct {
	DeviceId string
	Status   []protocol.SubData
}
type ReplySetStatus ReplyEmptyResult

type ArgsGetStatus ArgsDeviceId
type ReplyGetStatus struct {
	Status []protocol.SubData
}

type ArgsSendCommand struct {
	DeviceId  string
	SubDevice uint16
	No        uint16
	Priority  uint16
	WaitTime  uint32
	Params    []tlv.TLV
}
type ReplySendCommand ReplyEmptyResult
