package mqtt

import (
	"sparrow/pkg/rpcs"
)

type Provider interface {
	ValidateDeviceToken(deviceid string, token []byte) error
	OnDeviceOnline(args rpcs.ArgsGetOnline) error
	OnDeviceOffline(deviceid string) error
	OnDeviceHeartBeat(deviceid string) error
	OnDeviceMessage(deviceid, vendorId string, msgtype string, message []byte)
}
