package nodes

import (
	"encoding/json"
	"sparrow/pkg/ruleEngine"
	"testing"
)

func TestCreateNodeByType(t *testing.T) {
	config, err := json.Marshal(&MsgTypeFilterNodeConfig{MessageTypes: []string{"POST_ATTRIBUTES_REQUEST"}})
	if err != nil {
		t.Error(err)
	}
	s, ok := CreateNodeByConfig("MsgTypeFilterNode", &ruleEngine.DefaultContext{}, string(config))
	if !ok {
		t.Fatalf("not found")
	}
	node := s.(ruleEngine.Node)

	t.Log(node)
}
